package com.dji.sdk.cloudapi.device;

import java.io.Serializable;

/**
 * 草莓机场 机场换电电池信息
 * @author guan
 */
public class BatteryChannel implements Serializable {

    private Integer index;

    private Integer current;

    private Integer cycle;

    private Integer health;

    private Integer capacityPercent;

    private Float temperature;

    private Integer status;

    private String name;

    public BatteryChannel() {
    }

    @Override
    public String toString() {
        return "BatteryChannel{" +
                "index=" + index +
                ", current=" + current +
                ", cycle=" + cycle +
                ", health=" + health +
                ", capacityPercent=" + capacityPercent +
                ", temperature=" + temperature +
                ", status=" + status +
                ", name=" + name +
                '}';
    }

    public Integer getIndex() {
        return index;
    }

    public BatteryChannel setIndex(Integer index) {
        this.index = index;
        return this;
    }

    public Integer getCurrent() {
        return current;
    }

    public BatteryChannel setCurrent(Integer current) {
        this.current = current;
        return this;
    }

    public Integer getCycle() {
        return cycle;
    }

    public BatteryChannel setCycle(Integer cycle) {
        this.cycle = cycle;
        return this;
    }

    public Integer getHealth() {
        return health;
    }

    public BatteryChannel setHealth(Integer health) {
        this.health = health;
        return this;
    }

    public Integer getCapacityPercent() {
        return capacityPercent;
    }

    public BatteryChannel setCapacityPercent(Integer capacityPercent) {
        this.capacityPercent = capacityPercent;
        return this;
    }

    public Float getTemperature() {
        return temperature;
    }

    public BatteryChannel setTemperature(Float temperature) {
        this.temperature = temperature;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public BatteryChannel setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public String getName() {
        return name;
    }

    public BatteryChannel setName(String name) {
        this.name = name;
        return this;
    }


}
